This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 832115 - Seam2.3 seam-gen generated action shows "The form component needs to have a UIForm in its ancestry. ..." message
Seam2.3 seam-gen generated action shows "The form component needs to have a U...
Status: CLOSED DEFERRED
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
2.0.0.ER8
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Marek Novotny
Marek Schmidt
Seam2.3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 10:42 EDT by Marek Schmidt
Modified: 2012-06-19 04:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 867381 (view as bug list)
Environment:
Last Closed: 2012-06-19 04:18:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Schmidt 2012-06-14 10:42:27 EDT
Description of problem:

Seam2.3 seam-gen generated action shows "The form component needs to have a UIForm in its ancestry. Suggestion: enclose the necessary components within <h:form>" message

Steps to reproduce:
1. generate and deploy default WAR project "myproject" with seam-gen
2. create a "fooAction" with "seam new-action"
3. go to http://127.0.0.1:8080/myproject/fooAction.seam
4. click on "fooAction!"
5. notice the message
Comment 1 Marek Schmidt 2012-06-14 10:44:25 EDT
same with the generated form (seam new-form)
Comment 2 Marek Novotny 2012-06-14 10:48:34 EDT
already backported into product SVN branch see at https://source.jboss.org/changelog/Seam?cs=14913

Note You need to log in before you can comment on or make changes to this bug.